Skip to content

Create a PEP and sanctions screening job

Request

Creates a new PEP and sanctions screening job.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

Query
pepSanctionIndividualEntityJobIdstring, [ 4 .. 63 ] characters(pep_sanction_individual_entity_job_id)required

REQUIRED. The ID to use for the job, which will become the final component of the job's resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

Bodyapplication/json

Required. The PEP and sanctions screening job to create.

namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: entities/-/pepSanctionIndividualEntityJobs/{pep_sanction_individual_entity_job} correct_name_format // name must follow format 'entities/-/pepSanctionIndividualEntityJobs/*'

curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/pepSanctionIndividualEntityJobs?pepSanctionIndividualEntityJobId=pep-sanction-screen-001' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "entities/-/pepSanctionIndividualEntityJobs/pep-sanction-screen-2024-0127-743891",
    "createTime": "2023-01-15T01:30:15.01Z",
    "updateTime": "2023-01-15T01:30:15.01Z"
  }'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: entities/-/pepSanctionIndividualEntityJobs/{pep_sanction_individual_entity_job} correct_name_format // name must follow format 'entities/-/pepSanctionIndividualEntityJobs/*'

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the job was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the job was most recently updated.

Response
{ "name": "entities/-/pepSanctionIndividualEntityJobs/pep-sanction-screen-2024-0127-743891", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z" }